{"openapi":"3.0.1","info":{"title":"View Pin API","description":"Describes the api's exposed by the view pin app","version":"2.0.0"},"servers":[{"url":"https://api.pinmgmnt.consumers.pluxee.be","description":"Generated server url"}],"paths":{"/pin/uncrypted":{"get":{"tags":["view-pin-controller"],"operationId":"getPin","parameters":[{"name":"token","in":"header","required":true,"schema":{"type":"string"}},{"name":"sfa","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ViewPinResponse"}}}}}}},"/pin/isalive":{"get":{"tags":["view-pin-controller"],"operationId":"isAlive","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}}},"components":{"schemas":{"ViewPinResponse":{"type":"object","properties":{"pin":{"type":"string"},"code":{"type":"string","enum":["OK","WRONG_ISO","WRONG_TOKEN","WM_WRONG_2FA","DEFAULT_ERROR","EM_NO_PIN","EM_CARD_BLOCKED","EM_BLOCKING_MESSAGE_24H","EM_MAX_NUMBER_PER_DAY","EM_MAX_NUMBER_PER_WEEK"]}}}}}}